Bug 1245151 - Move nuxwdog perl bindings to a sub package
Summary: Move nuxwdog perl bindings to a sub package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nuxwdog
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain 1283272
TreeView+ depends on / blocked
 
Reported: 2015-07-21 10:38 UTC by Peter Robinson
Modified: 2016-11-24 12:20 UTC (History)
4 users (show)

Fixed In Version: nuxwdog-1.0.3-4.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1283272 (view as bug list)
Environment:
Last Closed: 2016-11-24 12:20:51 UTC
Type: Bug


Attachments (Terms of Use)
Split perl bindings to a sub package (2.13 KB, patch)
2015-07-21 10:38 UTC, Peter Robinson
no flags Details | Diff

Description Peter Robinson 2015-07-21 10:38:39 UTC
Created attachment 1054284 [details]
Split perl bindings to a sub package

Move the perl bindings to a sub package. This is a standard packaging process as it keeps things as modular/granular as possible. It seems there use to be one long before any git history.

nuxwdog is useful without having to have perl installed (ie using the java client) so it would be nice not having to pull in 26Mb of perl deps.

Spec file patch attached. The rpm auto deps/provides for any packages that depend on the perl bindings with just pull the sub package in using yum/dnf so upgrades should be seemless.

Scatch build (f23): http://koji.fedoraproject.org/koji/taskinfo?taskID=10424846

Deps with the perl:

$ dnf install nuxwdog
Last metadata expiration check performed 1:00:55 ago on Tue Jul 21 05:14:41 2015.
Dependencies resolved.
====================================================================================
 Package                           Arch            Version             Repository Size
====================================================================================
Installing:
 nuxwdog                           armv7hl         1.0.3-3.fc23        fedora   54 k
 perl                              armv7hl         4:5.22.0-349.fc23   fedora  7.0 M
 perl-Carp                         noarch          1.36-346.fc23       fedora   28 k
 perl-Encode                       armv7hl         3:2.75-1.fc23       fedora  1.0 M
 perl-Exporter                     noarch          5.72-347.fc23       fedora   33 k
 perl-File-Path                    noarch          2.09-347.fc23       fedora   31 k
 perl-File-Temp                    noarch          0.23.04-346.fc23    fedora   61 k
 perl-Getopt-Long                  noarch          2.47-1.fc23         fedora   61 k
 perl-HTTP-Tiny                    noarch          0.056-3.fc23        fedora   53 k
 perl-MIME-Base64                  armv7hl         3.15-348.fc23       fedora   29 k
 perl-PathTools                    armv7hl         3.56-346.fc23       fedora   85 k
 perl-Pod-Escapes                  noarch          1:1.07-348.fc23     fedora   19 k
 perl-Pod-Perldoc                  noarch          3.25-347.fc23       fedora   84 k
 perl-Pod-Simple                   noarch          1:3.30-3.fc23       fedora  211 k
 perl-Pod-Usage                    noarch          4:1.67-3.fc23       fedora   33 k
 perl-Scalar-List-Utils            armv7hl         2:1.42-3.fc23       fedora   59 k
 perl-Socket                       armv7hl         3:2.020-1.fc23      fedora   54 k
 perl-Storable                     armv7hl         1:2.53-346.fc23     fedora   77 k
 perl-Term-ANSIColor               noarch          4.03-346.fc23       fedora   45 k
 perl-Term-Cap                     noarch          1.16-1.fc23         fedora   20 k
 perl-Text-ParseWords              noarch          3.30-346.fc23       fedora   17 k
 perl-Text-Tabs+Wrap               noarch          2013.0523-346.fc23  fedora   23 k
 perl-Time-HiRes                   armv7hl         1.9726-346.fc23     fedora   50 k
 perl-Time-Local                   noarch          1.2300-346.fc23     fedora   29 k
 perl-Unicode-Normalize            noarch          1.19-1.fc23         fedora   26 k
 perl-constant                     noarch          1.33-347.fc23       fedora   24 k
 perl-libs                         armv7hl         4:5.22.0-349.fc23   fedora  710 k
 perl-macros                       armv7hl         4:5.22.0-349.fc23   fedora   57 k
 perl-parent                       noarch          1:0.234-3.fc23      fedora   18 k
 perl-podlators                    noarch          2.5.3-347.fc23      fedora  112 k
 perl-threads                      armv7hl         1:2.02-2.fc23       fedora   56 k
 perl-threads-shared               armv7hl         1.48-346.fc23       fedora   42 k

Transaction Summary
====================================================================================
Install  32 Packages

Total download size: 10 M
Installed size: 26 M
Is this ok [y/N]: n
Operation aborted.

Comment 1 Ade Lee 2015-11-18 15:31:24 UTC
Thanks for the patch.  This will get checked into F24+.

Comment 2 Fedora End Of Life 2016-11-24 12:13:00 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.